List card transactions | Moov Documentation

List card transactions

List issued card transactions associated with a Moov account.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/issued-cards.read scope.

GET

/issuing/{accountID}/card-transactions

Ask

curl -X GET "https://api.moov.io/issuing/{accountID}/card-transactions" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00"

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.issuingTransactions.list({
    accountID: "4efcb497-f915-4b6e-b973-e5e5bcc1fd34",
    skip: 60,
    count: 20,
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
use Moov\MoovPhp\Models\Operations;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$request = new Operations\ListIssuedCardTransactionsRequest(
    accountID: '4efcb497-f915-4b6e-b973-e5e5bcc1fd34',
    skip: 60,
    count: 20,
);

$response = $sdk->issuingTransactions->list(
    request: $request
);

if ($response->issuedCardTransactions !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListIssuedCardTransactionsRequest;
import io.moov.sdk.models.operations.ListIssuedCardTransactionsResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListIssuedCardTransactionsRequest req = ListIssuedCardTransactionsRequest.builder()
                .accountID("4efcb497-f915-4b6e-b973-e5e5bcc1fd34")
                .skip(60L)
                .count(20L)
                .build();

ListIssuedCardTransactionsResponse res = sdk.issuingTransactions().list()
                .request(req)
                .call();

if (res.issuedCardTransactions().isPresent()) {
            System.out.println(res.issuedCardTransactions().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.issuing_transactions.list(account_id="4efcb497-f915-4b6e-b973-e5e5bcc1fd34", skip=60, count=20)

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)

req = Models::Operations::ListIssuedCardTransactionsRequest.new(
  account_id: '4efcb497-f915-4b6e-b973-e5e5bcc1fd34',
  skip: 60,
  count: 20
)
res = s.issuing_transactions.list(request: req)

unless res.issued_card_transactions.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;
using Moov.Sdk.Models.Requests;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

ListIssuedCardTransactionsRequest req = new ListIssuedCardTransactionsRequest() {
    AccountID = "4efcb497-f915-4b6e-b973-e5e5bcc1fd34",
    Skip = 60,
    Count = 20,
};

var res = await sdk.IssuingTransactions.ListAsync(req);

// handle response

Example

[
  {
    "cardTransactionID": "string",
    "issuedCardID": "string",
    "fundingWalletID": "string",
    "amount": "-14.89",
    "authorizationID": "string",
    "authorizedOn": "2019-08-24T14:15:22Z",
    "merchantData": {
      "networkID": "string",
      "name": "Whole Body Fitness",
      "city": "San Francisco",
      "country": "US",
      "postalCode": "94107",
      "state": "CA",
      "mcc": "7298"
    },
    "createdOn": "2019-08-24T14:15:22Z"
  }
]

Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

Response headers

A unique identifier used to trace requests.

Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

v2026.04.00

The Moov business account for which cards have been issued.

Default: 200

Optional ID of the issued card to filter results.

Optional date-time which inclusively filters all card transactions created after this date-time.

Optional date-time which exclusively filters all card transactions created before this date-time.

A decimal-formatted numerical string that represents up to 2 decimal place precision. In USD for example, 12.34 is $12.34 and 0.99 is $0.99.

Show child attributes

Two-letter country code.

The Merchant Category Code.

External identifier used to identify the merchant with the card brand.

The merchant's location.

Name of the merchant.

The merchant's five-digit postal code.

The merchant's two-letter state abbreviation.